menu
#3069835 Declaration of Zombx\entities\FloatingText::attack(pocketmine\event\entity\EntityDamageEvent $source) must be compatible with pocketmine\entity\Living::attack(pocketmine\event\entity\EntityDamageEvent $source): void

Submitted by PocketMine-MP 3.9.3

General information

Version: 3.9.3
Git commit: 18a1bfe4
Plugin involvement: Direct
Report date: 2019-11-06 12:36:33 +0000 UTC

System Information

PHP version: 7.2.19
Operating system: win
System banner: Windows NT LAPTOP-L5HDADQQ 10.0 build 17763 (Windows 10) AMD64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of Zombx\entities\FloatingText::attack(pocketmine\event\entity\EntityDamageEvent $source) must be compatible with pocketmine\entity\Living::attack(pocketmine\event\entity\EntityDamageEvent $source): void
File: C:/Users/coole/Documents/plugins/Test_Server - Factions/virions/PocketTools/src/Zombx/entities/FloatingText
Line: #16
Error level: E_COMPILE_ERROR
7
8
9
10
11
12
13
14
15
16

class FloatingText extends Human {

public function onUpdate(int $currentTick): bool {
$this->resetFallDistance();
return parent::onUpdate($currentTick);
}

public function attack(EntityDamageEvent $source) {}
}

Loaded Plugins

  • Show

Server Settings

  • Show